[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TStringIteratorCallback

Iterator callback type

## Declaration

Source position: contnrs.pp line 446

`type TStringIteratorCallback = procedure(`
`Item: string;`
`const Key: string;`
`var Continue: Boolean`
`);`

## Arguments

`Item` |  | String associated with key
`Key` |  | Key value
`Continue` |  | Should iterate continue or stop ?

## Description

TStringIteratorCallBack is the callback prototype for the TFPStringHashTable method. It is called for each element in the hash table, with the string. If Continue is set to False, the iteration stops.

## See also

TFPStringHashTable |  | Iterate over the strings in the hash table